{ pkgs, ... }:
with pkgs;
rustPlatform.buildRustPackage rec {
  pname = "comet-gog";
  version = "e313c8a";

  src = fetchFromGitHub {
    owner = "imLinguin";
    repo = "comet";
    rev = "389e5d4316c4d384fcb089e0d3289a9c21c07291";
    hash = "sha256-10MvcR62OI0dZSoUNzmM6QjyZGSfG9Re7CW0nW1iZz4=";
    fetchSubmodules = true;
  };

  nativeBuildInputs = [ protobuf ];
  patches = [ ./patches/comet.patch ];

  cargoLock.lockFile = src + /Cargo.lock;
}
