{ inputs, ... }: {
  # Mangohud settings
  programs.mangohud = {
    enable = true;
    settings = {
      # GPU SETTINGS
      gpu_stats = true;
      gpu_temp = true;
      gpu_core_clock = true;
      gpu_power = true;
      gpu_text = "GPU";
      gpu_load_change = true;
      gpu_load_color = "39F900,FDFD09,B22222";
      # CPU SETTINGS
      cpu_stats = true;
      cpu_temp = true;
      cpu_text = "CPU";
      cpu_mhz = true;
      cpu_load_change = true;
      cpu_load_value = "60,90";
      cpu_load_color = "39F900,FDFD09,B22222";
      # Vram/Ram/Swap
      vram = true;
      ram = true;
      swap = true;
      # Fps settings
      fps = true;
      fps_sampling_period = "1000";
      fps_color_change = true;
      fps_value = "30,60";
      fps_color = "B22222,FDFD09,39F900";
      frametime = true;
      # Misc
      gpu_name = true;
      vulkan_driver = true;
      show_fps_limit = true;
      resolution = true;
      round_corners = "5";
    };
  };
}
